[Demudi-commits] r1474 - in ams/trunk/debian: . patches

free-guest at alioth.debian.org free-guest at alioth.debian.org
Wed Jun 20 00:54:16 UTC 2007


Author: free-guest
Date: 2007-06-20 00:54:16 +0000 (Wed, 20 Jun 2007)
New Revision: 1474

Added:
   ams/trunk/debian/patches/13outdate_code.dpatch
Modified:
   ams/trunk/debian/ams.desktop
   ams/trunk/debian/changelog
   ams/trunk/debian/patches/00list
   ams/trunk/debian/patches/10makefile.dpatch
Log:
releasing version 1.8.8~rc2-1

Modified: ams/trunk/debian/ams.desktop
===================================================================
--- ams/trunk/debian/ams.desktop	2007-06-20 00:06:36 UTC (rev 1473)
+++ ams/trunk/debian/ams.desktop	2007-06-20 00:54:16 UTC (rev 1474)
@@ -1,7 +1,7 @@
 [Desktop Entry]
 Encoding=UTF-8
-Name=Ams
-Comment=Alsa Modular Synth
+Name=Alsa Modular Synth
+Comment=Modular Software Synth
 Exec=ams
 Icon=/usr/share/pixmaps/ams.xpm
 Terminal=false

Modified: ams/trunk/debian/changelog
===================================================================
--- ams/trunk/debian/changelog	2007-06-20 00:06:36 UTC (rev 1473)
+++ ams/trunk/debian/changelog	2007-06-20 00:54:16 UTC (rev 1474)
@@ -1,3 +1,10 @@
+ams (1.8.8~rc2-1) unstable; urgency=low
+
+  * New upstream release
+  * Changed name in .desktop file (Ams -> Alsa Modular Synth)
+
+ -- Free Ekanayaka <freee at debian.org>  Wed, 20 Jun 2007 02:02:01 +0200
+
 ams (1.8.7-6) unstable; urgency=low
 
   * Using exec in wrapper script to launch ams.real

Modified: ams/trunk/debian/patches/00list
===================================================================
--- ams/trunk/debian/patches/00list	2007-06-20 00:06:36 UTC (rev 1473)
+++ ams/trunk/debian/patches/00list	2007-06-20 00:54:16 UTC (rev 1474)
@@ -1,2 +1,3 @@
 10makefile
 11ams_launch_script
+13outdate_code

Modified: ams/trunk/debian/patches/10makefile.dpatch
===================================================================
--- ams/trunk/debian/patches/10makefile.dpatch	2007-06-20 00:06:36 UTC (rev 1473)
+++ ams/trunk/debian/patches/10makefile.dpatch	2007-06-20 00:54:16 UTC (rev 1474)
@@ -23,29 +23,29 @@
 exit 0
 
 @DPATCH@
-diff -urNad /home/free/demudi/packages/ams/ams-1.8.7/Makefile ams-1.8.7/Makefile
---- /home/free/demudi/packages/ams/ams-1.8.7/Makefile	2004-08-31 14:31:35.000000000 +0200
-+++ ams-1.8.7/Makefile	2004-08-31 14:42:38.000000000 +0200
-@@ -1,10 +1,14 @@
+--- a/Makefile	2007-03-10 18:50:35.000000000 +0000
++++ b/Makefile	2007-06-20 00:13:38.000000000 +0000
+@@ -1,11 +1,15 @@
 -QT_BASE_DIR=/usr/lib/qt3
 -QT_LIB_DIR=$(QT_BASE_DIR)/lib
+-QT_BIN_DIR=/usr/share/qt3/bin
+-QT_INCLUDE_DIR=/usr/include/qt3
 +QT_BASE_DIR=/usr
 +QT_LIB_DIR=$(QT_BASE_DIR)/lib/qt3
- QT_BIN_DIR=$(QT_BASE_DIR)/bin
--QT_INCLUDE_DIR=$(QT_BASE_DIR)/include
++QT_BIN_DIR=$(QT_BASE_DIR)/bin
 +QT_INCLUDE_DIR=$(QT_BASE_DIR)/include/qt3
  X11_LIB_DIR=/usr/X11R6/lib
  LADSPA_PATH?=/usr/lib/ladspa:/usr/local/lib/ladspa
--VERSION=1.8.6
-+VERSION=1.8.7
-+
+ VERSION=1.8.8
+ 
 +BINARY  = ams.real
 +DESTDIR =
 +BIN     = $(DESTDIR)/usr/lib/ams
++
+ #CXXFLAGS=-DQT_THREAD_SUPPORT -I$(QT_INCLUDE_DIR) -DLADSPA_PATH=\"$(LADSPA_PATH)\" -I/usr/X11R6/include -I. -O2 -g -Wall
+ CXXFLAGS=-DQT_THREAD_SUPPORT -I$(QT_INCLUDE_DIR) -DLADSPA_PATH=\"$(LADSPA_PATH)\" -I/usr/X11R6/include -I. -O3 -march=k8 -mtune=k8 -m64 -Wall
  
- #CXXFLAGS=-DQT_THREAD_SUPPORT -I$(QT_INCLUDE_DIR) -DLADSPA_PATH=\"$(LADSPA_PATH)\" -I/usr/X11R6/include -I. -O2 -g -Wall
- CXXFLAGS=-DQT_THREAD_SUPPORT -I$(QT_INCLUDE_DIR) -DLADSPA_PATH=\"$(LADSPA_PATH)\" -I/usr/X11R6/include -I. -O2 -Wall
-@@ -77,11 +81,15 @@
+@@ -79,11 +83,15 @@
  	modularsynth.o modularsynth.moc.o \
  	main.o
  

Added: ams/trunk/debian/patches/13outdate_code.dpatch
===================================================================
--- ams/trunk/debian/patches/13outdate_code.dpatch	                        (rev 0)
+++ ams/trunk/debian/patches/13outdate_code.dpatch	2007-06-20 00:54:16 UTC (rev 1474)
@@ -0,0 +1,38 @@
+#! /bin/sh -e
+## 13outdated_code.dpatch by Free Ekanayaka <free at agnula.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+--- a/spectrumscreen.h	2007-06-20 00:36:30.000000000 +0000
++++ b/spectrumscreen.h	2007-06-20 00:29:53.000000000 +0000
+@@ -1,4 +1,4 @@
+-#ifdef OUTDATED_CODE
++//#ifdef OUTDATED_CODE
+ 
+ #ifndef KSPECTRUMSCREEN_H
+ #define KSPECTRUMSCREEN_H
+@@ -115,4 +115,4 @@
+   
+ #endif
+ 
+-#endif
++//#endif




More information about the Demudi-commits mailing list